##
##  linkchecker.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_linkchecker 1.8.2
%define       V_pydns       2.3.0

#   package information
Name:         linkchecker
Summary:      HTML Hyperlink Checker
URL:          http://linkchecker.sf.net/
Vendor:       Bastian Kleineidam
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Misc
License:      GPL
Version:      %{V_linkchecker}
Release:      20030104

#   list of sources
Source0:      http://osdn.dl.sourceforge.net/linkchecker/linkchecker-%{V_linkchecker}.tar.gz
Source1:      http://osdn.dl.sourceforge.net/sourceforge/pydns/pydns-%{V_pydns}.tgz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, python
PreReq:       OpenPKG, openpkg >= 20020206, python
AutoReq:      no
AutoReqProv:  no

%description
    LinkChecker checks your HTML documents for broken links.

%prep
    %setup0 -q -c
    %setup1 -q -c -a1

%build
    ( cd linkchecker-%{V_linkchecker}
      %{l_shtool} subst \
          -e 's;share/linkchecker;etc/linkchecker;' \
          -e 's;share/man;man;' \
          `find . -type f -print`
    )

%install
    rm -rf $RPM_BUILD_ROOT
    ( cd pydns-%{V_pydns}
      %{l_prefix}/bin/python setup.py install --root=$RPM_BUILD_ROOT
    )
    ( cd linkchecker-%{V_linkchecker}
      %{l_prefix}/bin/python setup.py install --root=$RPM_BUILD_ROOT
    )
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/etc/linkchecker/examples
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/locale
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

